{"title":"Get contacts","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_contact_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_contact_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_contact_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a contact object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":85,"chars":207},{"level":2,"title":"Request headers","slug":"request-headers","at":292,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":364,"chars":61},{"level":2,"title":"Response","slug":"response","at":425,"chars":119},{"level":2,"title":"Example","slug":"example","at":544,"chars":834},{"level":2,"title":"Remarks","slug":"remarks","at":1378,"chars":70},{"level":2,"title":"Related information","slug":"related-information","at":1448,"chars":229}],"text":"Retrieves the properties and relationships of a contact object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/contacts({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a contact object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/contacts({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\" : \"5d115c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\" : \"108001\",\n    \"type\" : \"Company\",\n    \"displayName\": \"CRONUS USA, Inc.\",\n    \"companyNumber\" : \"17806\",\n    \"companyName\" : \"CRONUS US\",\n    \"addressLine1\": \"7122 South Ashford Street\",\n    \"addressLine2\": \"Westminster\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"+1 425 555 0100\",\n    \"mobilePhoneNumber\" : \"\",\n    \"email\" : \"ah@contoso.com\",\n    \"website\" : \"\",\n    \"searchName\" : \"\",\n    \"privacyBlocked\" : true,\n    \"lastInteractionDate\" : \"2021-06-01\",\n    \"lastModifiedDateTime\" : \"2021-06-01\"\n}\n```\n## Remarks\nThis resource type requires Business Central version 18.0.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_contact\ndynamics_contact_delete\nPOST contact<dynamics_contact_create>\nPATCH contact<dynamics_contact_update>"}